Overview | Package | Class | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package org.mozilla.javascript

Class org.mozilla.javascript.BaseFunction extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: 5311394446546053859L

Serialized Fields

### prototypeProperty

    java.lang.Object prototypeProperty

### prototypePropertyAttributes

    int prototypePropertyAttributes

Class org.mozilla.javascript.ClassCache extends java.lang.Object implements Serializable

serialVersionUID: -8866246036237312215L

Serialized Fields

### cachingIsEnabled

    boolean cachingIsEnabled

### generatedClassSerial

    int generatedClassSerial

Class org.mozilla.javascript.ContinuationPending extends java.lang.RuntimeException implements Serializable

serialVersionUID: 4956008116771118856L

Serialized Fields

### continuationState

    org.mozilla.javascript.NativeContinuation continuationState

### applicationState

    java.lang.Object applicationState

Class org.mozilla.javascript.EcmaError extends RhinoException implements Serializable

serialVersionUID: -6261226256957286699L

Serialized Fields

### errorName

    java.lang.String errorName

### errorMessage

    java.lang.String errorMessage

Class org.mozilla.javascript.EvaluatorException extends RhinoException implements Serializable

serialVersionUID: -8743165779676009808L

Class org.mozilla.javascript.FunctionObject extends org.mozilla.javascript.BaseFunction implements Serializable

serialVersionUID: -5332312783643935019L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Serialized Fields

### member

    org.mozilla.javascript.MemberBox member

### functionName

    java.lang.String functionName

### parmsLength

    int parmsLength

### isStatic

    boolean isStatic

Class org.mozilla.javascript.IdFunctionObject extends org.mozilla.javascript.BaseFunction implements Serializable

serialVersionUID: -5332312783643935019L

Serialized Fields

### idcall

    org.mozilla.javascript.IdFunctionCall idcall

### tag

    java.lang.Object tag

### methodId

    int methodId

### arity

    int arity

### useCallAsConstructor

    boolean useCallAsConstructor

### functionName

    java.lang.String functionName

Class org.mozilla.javascript.IdScriptableObject extends ScriptableObject implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream stream)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream stream)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.mozilla.javascript.ImporterTopLevel extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: -9095380847465315412L

Serialized Fields

### importedPackages

    org.mozilla.javascript.ObjArray importedPackages

### topScopeFlag

    boolean topScopeFlag

Class org.mozilla.javascript.JavaScriptException extends RhinoException implements Serializable

serialVersionUID: -7666130513694669293L

Serialized Fields

### value

    java.lang.Object value

Class org.mozilla.javascript.LazilyLoadedCtor extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialized Fields

### scope

    ScriptableObject scope

### propertyName

    java.lang.String propertyName

### className

    java.lang.String className

### sealed

    boolean sealed

### initializedValue

    java.lang.Object initializedValue

### state

    int state

Class org.mozilla.javascript.NativeArray extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: 7331366857676127338L

Serialized Fields

### length

    long length

  Internal representation of the JavaScript array's length property.

### dense

    java.lang.Object[] dense

  Fast storage for dense arrays. Sparse arrays will use the superclass's hashtable storage scheme.

### denseOnly

    boolean denseOnly

  True if all numeric properties are stored in `dense`.

Class org.mozilla.javascript.NativeCall extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: -7471457301304454454L

Serialized Fields

### function

    org.mozilla.javascript.NativeFunction function

### originalArgs

    java.lang.Object[] originalArgs

Class org.mozilla.javascript.NativeContinuation extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: 1794167133757605367L

Serialized Fields

### implementation

    java.lang.Object implementation

Class org.mozilla.javascript.NativeFunction extends org.mozilla.javascript.BaseFunction implements Serializable

Class org.mozilla.javascript.NativeGenerator extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: 1645892441041347273L

Serialized Fields

### function

    org.mozilla.javascript.NativeFunction function

### savedState

    java.lang.Object savedState

### lineSource

    java.lang.String lineSource

### lineNumber

    int lineNumber

### firstTime

    boolean firstTime

### locked

    boolean locked

Class org.mozilla.javascript.NativeGenerator.GeneratorClosedException extends java.lang.RuntimeException implements Serializable

serialVersionUID: 2561315658662379681L

Class org.mozilla.javascript.NativeGlobal extends java.lang.Object implements Serializable

serialVersionUID: 6080442165748707530L

Class org.mozilla.javascript.NativeIterator extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: -4136968203581667681L

Serialized Fields

### objectIterator

    java.lang.Object objectIterator

Class org.mozilla.javascript.NativeJavaArray extends org.mozilla.javascript.NativeJavaObject implements Serializable

serialVersionUID: -924022554283675333L

Serialized Fields

### array

    java.lang.Object array

### length

    int length

### cls

    java.lang.Class<T> cls

Class org.mozilla.javascript.NativeJavaClass extends org.mozilla.javascript.NativeJavaObject implements Serializable

serialVersionUID: -6460763940409461664L

Serialized Fields

### staticFieldAndMethods

    java.util.Map<K,V> staticFieldAndMethods

Class org.mozilla.javascript.NativeJavaConstructor extends org.mozilla.javascript.BaseFunction implements Serializable

serialVersionUID: -8149253217482668463L

Serialized Fields

### ctor

    org.mozilla.javascript.MemberBox ctor

Class org.mozilla.javascript.NativeJavaMethod extends org.mozilla.javascript.BaseFunction implements Serializable

serialVersionUID: -3440381785576412928L

Serialized Fields

### methods

    org.mozilla.javascript.MemberBox[] methods

### functionName

    java.lang.String functionName

Class org.mozilla.javascript.NativeJavaObject extends java.lang.Object implements Serializable

serialVersionUID: -6948590651130498591L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### prototype

    Scriptable prototype

  The prototype of this object.

### parent

    Scriptable parent

  The parent scope of this object.

Class org.mozilla.javascript.NativeJavaPackage extends ScriptableObject implements Serializable

serialVersionUID: 7445054382212031523L

Serialized Fields

### packageName

    java.lang.String packageName

### classLoader

    java.lang.ClassLoader classLoader

### negativeCache

    java.util.Set<E> negativeCache

Class org.mozilla.javascript.NativeJavaTopPackage extends org.mozilla.javascript.NativeJavaPackage implements Serializable

serialVersionUID: -1455787259477709999L

Class org.mozilla.javascript.NativeObject extends org.mozilla.javascript.IdScriptableObject implements Serializable

serialVersionUID: -6345305608474346996L

Class org.mozilla.javascript.NativeWith extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialized Fields

### prototype

    Scriptable prototype

### parent

    Scriptable parent

Class org.mozilla.javascript.ObjArray extends java.lang.Object implements Serializable

serialVersionUID: 4174889037736658296L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream is)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream os)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### size

    int size

### sealed

    boolean sealed

Class org.mozilla.javascript.ObjToIntMap extends java.lang.Object implements Serializable

serialVersionUID: -1542220580748809402L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### power

    int power

### keyCount

    int keyCount

Class org.mozilla.javascript.Ref extends java.lang.Object implements Serializable

Class org.mozilla.javascript.RhinoException extends java.lang.RuntimeException implements Serializable

Serialized Fields

### sourceName

    java.lang.String sourceName

### lineNumber

    int lineNumber

### lineSource

    java.lang.String lineSource

### columnNumber

    int columnNumber

### interpreterStackInfo

    java.lang.Object interpreterStackInfo

### interpreterLineData

    int[] interpreterLineData

Class org.mozilla.javascript.ScriptableObject extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### prototypeObject

    Scriptable prototypeObject

  The prototype of this object.

### parentScopeObject

    Scriptable parentScopeObject

  The parent scope of this object.

### count

    int count

### associatedValues

    java.util.Map<K,V> associatedValues

Class org.mozilla.javascript.UintMap extends java.lang.Object implements Serializable

serialVersionUID: 4242698212885848444L

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### power

    int power

### keyCount

    int keyCount

Class org.mozilla.javascript.Undefined extends java.lang.Object implements Serializable

serialVersionUID: 9195680630202616767L

Serialization Methods

### readResolve

    public java.lang.Object readResolve()

Class org.mozilla.javascript.UniqueTag extends java.lang.Object implements Serializable

serialVersionUID: -4320556826714577259L

Serialization Methods

### readResolve

    public java.lang.Object readResolve()

Serialized Fields

### tagId

    int tagId

Class org.mozilla.javascript.WrappedException extends EvaluatorException implements Serializable

serialVersionUID: -1551979216966520648L

Serialized Fields

### exception

    java.lang.Throwable exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES